/* -*- mode: c++; coding: utf-8; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4; show-trailing-whitespace: t -*-

  This file is part of the Feel library

  Author(s): Christophe Prud'homme <christophe.prudhomme@feelpp.org>
       Date: 2014-03-11

  Copyright (C) 2014 Feel++ Consortium

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/
/**
   \file times.hpp
   \author Christophe Prud'homme <christophe.prudhomme@feelpp.org>
   \date 2014-03-11
 */
#if !defined(FEELPP_TIMES_HPP)
#define FEELPP_TIMES_HPP 1

#include <boost/fusion/view/joint_view.hpp>

namespace Feel {

namespace detail {
template<typename X1, typename X2>
struct space_product
{
    typedef X1::mesh_type mesh_type;
    typedef X1::basis_type basis1_type;
    typedef X2::basis_type basis2_type;
    typedef FunctionSpace<mesh_type, fusion::joint_view<basis1_type, basis2_type> > type;
    typedef boost::shared_ptr<type> ptrtype;
};
}

template<typename X1, typename X2>
Feel::detail::space_product<X1,X2>::ptrtype
times( boost::shared_ptr<X1> const& Xh, boost::shared_ptr<X2> const& Yh )
{
    Feel::detail::space_product<X1,X2>::ptrtype Rh( new Feel::detail::space_product<X1,X2>::type( Xh, Yh ) );
    return Rh;
}

}

#endif /* FEELPP_TIMES_HPP */
